'****************************************************************
'*  Name    : STM_Strings00.inc                                 *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) April 2013 [AFreixanet 2013]        *
'*          : All Rights Reserved                               *
'*  Date    : 17/01/2013                                        *
'*  Version : 1.0                                               *
'*  Notes   : Used by Macro HRSOutStrg(X,Y)                     *
'*  Notes   : Used by Macro PrintStrg(X)                        *
'*  Notes   : Used by Macro PrintPOStrg(X,Y,Z)                  *  
'* Powered by PROTON AMICUS18 COMPILER                          *
'****************************************************************
'
'===============================================================================
' This program is free software, you can redistribute it and/or modify.
' The author is not responsible of the use of this software.
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY. However, a mention of the author
' and compiler would be appreciated.
'
' Este programa es un software libre, puede redistribuirlo y/o modificarlo.
' El autor no se hace responsable del uso de este software.
' Este programa se distribuye con la esperanza de que sea til,
' pero SIN NINGUNA GARANTA. No obstante citar el autor y el compilador
' sera muy apreciado.

' Ce programme est un logiciel libre, vous pouvez le redistribuer et/ou modifier.
' L'auteur n'est pas responsable de l'utilisation de ce logiciel.
' Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE.
' Cependant mentionner l'auteur et le compileur serait aprci.
'===============================================================================
' Definicin de las frases usadas en este programa y en proyectos futuros.
' NO OLVIDAR ACTUALIZAR LA TABLA "STRG_TABLE" cuando se aaden mas frases.

$ifndef _STM_Strings_inc_
$define _STM_Strings_inc_
'-------------------------------------------------------------------------------
STRGS_TABLE:
'-------------------------------------------------------------------------------
$ifdef _English_
    TXT0: CData  "STATES MACHINE",0 
    TXT1: CData  "By A. Freixanet",0 
    TXT2: CData  "Read the WDT config in memory map.",0
    TXT3: CData  "CONFIG FUSES: ",0
    TXT4: CData  "WDT enabled in hardware; SWDTEN bit disabled.",0
    TXT5: CData  "WDT controlled by the SWDTEN Bit.",0            
    TXT6: CData  "Brown-out Reset enabled!",0
    TXT7: CData  "Brown-out Reset disabled!",0
    TXT8: CData  "Be carrefull the WDT is always active!",0
    TXT9: CData  "After Reset the ",0        
    TXT10: CData "SWDTEN Bit = 1 (error)",0    
    TXT11: CData "SWDTEN Bit = 0 (good, by Code)",0
    TXT12: CData "Now the SWDTEN Bit is Set => Watchdog Enabled.",0
    TXT13: CData "Now the SWDTEN Bit is Cleared => Watchdog Disabled.",0
    TXT14: CData "WDT already checked!",0    
    TXT15: CData "Read the PIC ID from Config fuse.",0
    TXT16: CData "Device = ",0    
    TXT17: CData "PIC18F23K20",0    
    TXT18: CData "PIC18F24K20",0
    TXT19: CData "PIC18F25K20",0
    TXT20: CData "PIC18F26K20",0
    TXT21: CData "PIC18F43K20",0
    TXT22: CData "PIC18F44K20",0
    TXT23: CData "PIC18F45K20",0
    TXT24: CData "PIC18F46K20",0
    TXT25: CData "PICPartNumber already checked!",0    

    TXT26: CData "FOSC: ",0    
    TXT27: CData " Mhz",0
    TXT28: CData " Internal Oscillator",0       
    TXT29: CData " Xtal Oscillator",0
    TXT30: CData "PIC Part Number: ",0      
    TXT31: CData " / $",0
    TXT32: CData ", Revision: ",0
    TXT33: CData "WRITE BLOCK: ",0
    TXT34: CData " Bytes",0
    TXT35: CData "ERASE BLOCK: ",0  
    TXT36: CData "EEPROM MEMORY: ",0
    TXT37: CData "ROM MEMORY: ",0 
    TXT38: CData "RAM MEMORY: ",0  
    TXT39: CData "BANKA End: ",0
    TXT40: CData "RAM BANKS: ",0
    TXT41: CData "Number UART: 1 of ",0 
    TXT42: CData "UART Baud Rate: ",0
    TXT43: CData "Read the PIC informations.",0
    TXT44: CData "PIC checked!",0
    TXT45: CData "Read the USER ID LOCS.",0    
    TXT46: CData "Reading the PIC ID: ",0
    TXT47: CData "ID LOCS checked!",0 
    TXT48: CData "START READ EEPROM Strings:",0
    TXT49: CData "END READ EEPROM Strings:",0 
    TXT50: CData "Strings read from the ROM memory.",0 

    TXT51: CData "Testing the Amicus18 Board.",0  
    TXT52: CData "Waiting All Buttons depressed!",0
    TXT53: CData " ",0    
    TXT54: CData "Using 8 Push buttons And 10 LEDs.",0
    TXT55: CData "Hashed Code activated!",0
    TXT56: CData "LED8 & LED9 For other Tests",0                                     
    TXT57: CData " ",0 
    TXT58: CData "Waiting a Button pressed!",0
    TXT59: CData "SW0 detected!",0 
    TXT60: CData ", Set",0
    TXT61: CData ", Clear",0 
    TXT62: CData " LED0",0
    TXT63: CData "SW1 detected!",0
    TXT64: CData " LED1",0
    TXT65: CData "SW2 detected!",0
    TXT66: CData " LED2",0
    TXT67: CData "SW3 detected!",0
    TXT68: CData " LED3",0    
    TXT69: CData "SW4 detected!",0    
    TXT70: CData " LED4",0
    TXT71: CData "SW5 detected!",0
    TXT72: CData " LED5",0
    TXT73: CData "SW6 detected!",0
    TXT74: CData " LED6",0
    TXT75: CData "SW7 detected!",0

    TXT76: CData " LED7",0     
    TXT77: CData "LED8 On: All LEDs On",0
    TXT78: CData "LED8 Off",0
    TXT79: CData "LED9 On: All LEDs OFF",0     
    TXT80: CData "LED9 Off",0
    TXT81: CData "From State Machine2; called by SM1 Module",0
    TXT82: CData "From State Machine2; GoTo SM1 Module",0
$endif
'-------------------------------------------------------------------------------
$ifdef _Spanish_
    TXT0: CData  "MAQUINA de ESTADO",0 
    TXT1: CData  "Por A. Freixanet",0 
    TXT2: CData  "Ler la config de WDT en el mapa de memoria.",0
    TXT3: CData  "CONFIG FUSES: ",0
    TXT4: CData  "WDT enabled in hardware; SWDTEN bit disabled.",0
    TXT5: CData  "WDT controlado por el SWDTEN Bit.",0            
    TXT6: CData  "Brown-out Reset activado!",0
    TXT7: CData  "Brown-out Reset desactivado!",0
    TXT8: CData  "Mucho cuidado el WDT esta siempre activo!",0
    TXT9: CData  "Despues del Reset el ",0        
    TXT10: CData "SWDTEN Bit = 1 (error)",0    
    TXT11: CData "SWDTEN Bit = 0 (bueno, por el codigo)",0
    TXT12: CData "Ahora el SWDTEN Bit esta activado => Watchdog Activado.",0
    TXT13: CData "Ahora el SWDTEN Bit esta borrado => Watchdog Desactivado.",0
    TXT14: CData "WDT control terminado!",0    
    TXT15: CData "Leer le PIC ID desde Config Fuses.",0
    TXT16: CData "Device = ",0    
    TXT17: CData "PIC18F23K20",0    
    TXT18: CData "PIC18F24K20",0
    TXT19: CData "PIC18F25K20",0
    TXT20: CData "PIC18F26K20",0
    TXT21: CData "PIC18F43K20",0
    TXT22: CData "PIC18F44K20",0
    TXT23: CData "PIC18F45K20",0
    TXT24: CData "PIC18F46K20",0
    TXT25: CData "PIC PartNumber already checked!",0    

    TXT26: CData "FOSC: ",0    
    TXT27: CData " Mhz",0
    TXT28: CData " Oscilador Interno",0       
    TXT29: CData " Oscilador Xtal",0
    TXT30: CData "PIC Part Number: ",0      
    TXT31: CData " / $",0
    TXT32: CData ", Revision: ",0
    TXT33: CData "ESCRIBIR BLOQUE: ",0
    TXT34: CData " Bytes",0
    TXT35: CData "BORRAR BLOQUE: ",0  
    TXT36: CData "MEMORIA EEPROM: ",0
    TXT37: CData "MEMORIA ROM: ",0 
    TXT38: CData "MEMORIA RAM: ",0  
    TXT39: CData "BANKA End: ",0
    TXT40: CData "BANCOS RAM: ",0
    TXT41: CData "Numero UART: 1 de ",0 
    TXT42: CData "UART Baud Rate: ",0
    TXT43: CData "Leer las informaciones del PIC.",0
    TXT44: CData "PIC controlado!",0
    TXT45: CData "Leer los USER ID LOCS.",0    
    TXT46: CData "Leer el PIC ID: ",0
    TXT47: CData "ID LOCS controlado!",0 
    TXT48: CData "EMPIEZA la LECTURA de Textos de la memoria Eeprom:",0
    TXT49: CData "TERMINA la LECTURA de Textos de la memoria Eeprom:",0 
    TXT50: CData "Textos leidos desde la memoria ROM.",0 

    TXT51: CData "Comprobando la Placa Amicus18.",0  
    TXT52: CData "Esperando todos los pulsadores libres!",0
    TXT53: CData " ",0    
    TXT54: CData "Utilizando 8 Pulsadores y 10 LEDs.",0
    TXT55: CData "Codigo dispersado Activado!",0
    TXT56: CData "LED8 & LED9 para otras Pruebas",0                                     
    TXT57: CData " ",0 
    TXT58: CData "Esperando un Pulsador apretado!",0
    TXT59: CData "SW0 detectado!",0 
    TXT60: CData ", Encender",0
    TXT61: CData ", Apagar",0 
    TXT62: CData " LED0",0
    TXT63: CData "SW1 leido!",0
    TXT64: CData " LED1",0
    TXT65: CData "SW2 leido!",0
    TXT66: CData " LED2",0
    TXT67: CData "SW3 leido!",0
    TXT68: CData " LED3",0    
    TXT69: CData "SW4 leido!",0    
    TXT70: CData " LED4",0
    TXT71: CData "SW5 leido!",0
    TXT72: CData " LED5",0
    TXT73: CData "SW6 leido!",0
    TXT74: CData " LED6",0
    TXT75: CData "SW7 leido!",0

    TXT76: CData " LED7",0     
    TXT77: CData "LED8 Encendido: Todos los LEDs Encendidos",0
    TXT78: CData "LED8 Apagado",0
    TXT79: CData "LED9 Encendido: Todos los LEDs Apagados",0     
    TXT80: CData "LED9 Apagado",0
    TXT81: CData "Desde State Machine2; llamado por el Module SM1",0
    TXT82: CData "Desde State Machine2; hacia el Module SM1",0
$endif
'-------------------------------------------------------------------------------
$ifdef _French_
    TXT0: CData  "STATES MACHINE",0 
    TXT1: CData  "By A. Freixanet",0 
    TXT2: CData  "Read the WDT config in memory map.",0
    TXT3: CData  "CONFIG FUSES: ",0
    TXT4: CData  "WDT enabled in hardware; SWDTEN bit disabled.",0
    TXT5: CData  "WDT controlled by the SWDTEN Bit.",0            
    TXT6: CData  "Brown-out Reset enabled!",0
    TXT7: CData  "Brown-out Reset disabled!",0
    TXT8: CData  "Be carrefull the WDT is always active!",0
    TXT9: CData  "After Reset the ",0        
    TXT10: CData "SWDTEN Bit = 1 (error)",0    
    TXT11: CData "SWDTEN Bit = 0 (good, by Code)",0
    TXT12: CData "Now the SWDTEN Bit is Set => Watchdog Enabled.",0
    TXT13: CData "Now the SWDTEN Bit is Cleared => Watchdog Disabled.",0
    TXT14: CData "WDT already checked!",0    
    TXT15: CData "Read the PIC ID from Config fuse.",0
    TXT16: CData "Device = ",0    
    TXT17: CData "PIC18F23K20",0    
    TXT18: CData "PIC18F24K20",0
    TXT19: CData "PIC18F25K20",0
    TXT20: CData "PIC18F26K20",0
    TXT21: CData "PIC18F43K20",0
    TXT22: CData "PIC18F44K20",0
    TXT23: CData "PIC18F45K20",0
    TXT24: CData "PIC18F46K20",0
    TXT25: CData "PICPartNumber already checked!",0    

    TXT26: CData "FOSC: ",0    
    TXT27: CData " Mhz",0
    TXT28: CData " Internal Oscillator",0       
    TXT29: CData " Xtal Oscillator",0
    TXT30: CData "PIC Part Number: ",0      
    TXT31: CData " / $",0
    TXT32: CData ", Revision: ",0
    TXT33: CData "WRITE BLOCK: ",0
    TXT34: CData " Bytes",0
    TXT35: CData "ERASE BLOCK: ",0  
    TXT36: CData "EEPROM MEMORY: ",0
    TXT37: CData "ROM MEMORY: ",0 
    TXT38: CData "RAM MEMORY: ",0  
    TXT39: CData "BANKA End: ",0
    TXT40: CData "RAM BANKS: ",0
    TXT41: CData "Number UART: 1 of ",0 
    TXT42: CData "UART Baud Rate: ",0
    TXT43: CData "Read the PIC informations.",0
    TXT44: CData "PIC checked!",0
    TXT45: CData "Read the USER ID LOCS.",0    
    TXT46: CData "Reading the PIC ID: ",0
    TXT47: CData "ID LOCS checked!",0 
    TXT48: CData "START READ EEPROM Strings:",0
    TXT49: CData "END READ EEPROM Strings:",0 
    TXT50: CData "Strings read from the ROM memory.",0 

    TXT51: CData "Testing the Amicus18 Board.",0  
    TXT52: CData "Waiting All Buttons depressed!",0
    TXT53: CData " ",0    
    TXT54: CData "Using 8 Push buttons And 10 LEDs.",0
    TXT55: CData "Hashed Code activated!",0
    TXT56: CData "LED8 & LED9 For other Tests",0                                     
    TXT57: CData " ",0 
    TXT58: CData "Waiting a Button pressed!",0
    TXT59: CData "SW0 detected!",0 
    TXT60: CData ", Set",0
    TXT61: CData ", Clear",0 
    TXT62: CData " LED0",0
    TXT63: CData "SW1 detected!",0
    TXT64: CData " LED1",0
    TXT65: CData "SW2 detected!",0
    TXT66: CData " LED2",0
    TXT67: CData "SW3 detected!",0
    TXT68: CData " LED3",0    
    TXT69: CData "SW4 detected!",0    
    TXT70: CData " LED4",0
    TXT71: CData "SW5 detected!",0
    TXT72: CData " LED5",0
    TXT73: CData "SW6 detected!",0
    TXT74: CData " LED6",0
    TXT75: CData "SW7 detected!",0

    TXT76: CData " LED7",0     
    TXT77: CData "LED8 On: All LEDs On",0
    TXT78: CData "LED8 Off",0
    TXT79: CData "LED9 On: All LEDs OFF",0     
    TXT80: CData "LED9 Off",0
    TXT81: CData "De State Machine2; appel par le Module SM1",0
    TXT82: CData "De State Machine2; vers le Module SM1",0
$endif

' Here more languages...
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
    'NumStringMax = 101          'Cambiar este valor en MaxStrings en el principio del programa.bas. 
                                'para actualizar el maximo de frases para enviar,
                                'actualizar tambien CDATA STRG_TABLE ADRESS en esta rutina
'*******************************************************************************
$endif
'*******************************************************************************

