'****************************************************************
'*  Name    : STM_Strings05.inc                                 *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) April 2013 [AFreixanet 2013]        *
'*          : All Rights Reserved                               *
'*  Date    : 22/03/2017                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          : Powered by the PDS compiler 3.5.9.3               *
'****************************************************************
'
'===============================================================================
' This program is free software, you can redistribute it and/or modify.
' The author is not responsible of the use of this software.
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY. However, a mention of the author
' and compiler would be appreciated.
'
' Este programa es un software libre, puede redistribuirlo y/o modificarlo.
' El autor no se hace responsable del uso de este software.
' Este programa se distribuye con la esperanza de que sea til,
' pero SIN NINGUNA GARANTA. No obstante citar el autor y el compilador
' sera muy apreciado.

' Ce programme est un logiciel libre, vous pouvez le redistribuer et/ou modifier.
' L'auteur n'est pas responsable de l'utilisation de ce logiciel.
' Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE.
' Cependant mentionner l'auteur et le compileur serait aprci.
'===============================================================================
' Definicin de las frases usadas en este programa y en proyectos futuros.
' NO OLVIDAR ACTUALIZAR LA TABLA "STRG_TABLE" cuando se aaden mas frases.

$ifndef _STM_Strings_inc_
$define _STM_Strings_inc_
'-------------------------------------------------------------------------------

'-------------------------------------------------------------------------------
STRGS_TABLE:
'-------------------------------------------------------------------------------
$ifdef _English_
ENGLISH:
    TXT0: CData  "STATE MACHINE",0 
    TXT1: CData  "By A. Freixanet",0 
    TXT2: CData  "Test1_DS1307.bas file",0
    TXT3: CData  "Testing the DS1307 Clock Calendar",0
    TXT4: CData  "Sending Date & Time every minute To the terminal.",0
    TXT5: CData  "The Hserial is Set To ",0
    TXT6: CData  "9600",0            
    TXT7: CData  "19200",0
    TXT8: CData  "38400",0
    TXT9: CData  "57600",0
    TXT10: CData  "115200",0        
    TXT11: CData "Check the DS1307 ackknowledge.",0    
    TXT12: CData "Check if the DS1307 Clock Calendar is connected?",0
    TXT13: CData "The DS1307 Device is ready!",0
    TXT14: CData "NACK DS1307 RTC Device!",0    
    TXT15: CData "Enable DS1307 signal frequency [1Hz] to PORTA.4",0
    TXT16: CData "NACK DS1307 Write Control",0    
    TXT17: CData "Read Time & Date:",0    
    TXT18: CData "NACK DS1307 Read Time",0
    TXT19: CData "NACK DS1307 Read Date",0
    TXT20: CData "Date = ",0
    TXT21: CData "Time = ",0
    TXT22: CData "Warning: Communication error! ACK no valid.",0
    TXT23: CData " Bauds.",0
    TXT24: CData "Minutes Count: ",0
    TXT25: CData "Press the Button 1 to ReStart the programm.",0    

    TXT26: CData "NACK DS1307",0    
    TXT27: CData "RESTART? => S1",0
    TXT28: CData "Using the library <DS1307-H.Inc>",0       
    TXT29: CData "NACK DS1307 Write Date",0
    TXT30: CData "NACK DS1307 Write Time",0      
    TXT31: CData "Clock = 16 Mhz for Proteus testing",0
    TXT32: CData "Clock = 64 Mhz For real piece testing",0
    TXT33: CData "Using the ST7036 LCD with the Driver <LCD_ST7036.inc>",0
    TXT34: CData "<LCD_ST7036.Inc>",0
    TXT35: CData "Testing the <ReturnState> command",0
    TXT36: CData "ReturnState command disabled",0
    TXT37: CData "Return to the <SM_ReadSecond> Module",0
    TXT38: CData "NO ReturnState",0
    TXT39: CData "Press Button2",0
    TXT40: CData "Waiting a Button pressed!",0
    TXT41: CData "CONFIG   DS1307?",0
    TXT42: CData "S2=YES  OTHER=NO",0
    TXT43: CData "Day of Week? S3+",0
    TXT44: CData "Sunday",0
    TXT45: CData "Monday",0
    TXT46: CData "Tuesday",0    
    TXT47: CData "Wednesday",0
    TXT48: CData "Thursday",0    
    TXT49: CData "Friday",0    
    TXT50: CData "Saturday",0            

    TXT51: CData "S1-   Day?   S3+",0
    TXT52: CData "S1-  Month?  S3+",0    
    TXT53: CData "S1-  Year?   S3+",0
    TXT54: CData "S1-  Hour?   S3+",0
    TXT55: CData "S1- Minute?  S3+",0
    TXT56: CData "Day: ",0
    TXT57: CData "Month: ",0
    TXT58: CData "Year: ",0
    TXT59: CData "Hour: ",0
    TXT60: CData "Minute: ",0            
    TXT61: CData "Update the Time & Date",0 
$endif
'-------------------------------------------------------------------------------
$ifdef _Spanish_
SPANISH:
    TXT0: CData  "MAQUINA ESTADO",0 
    TXT1: CData  "Por A. Freixanet",0 
    TXT2: CData  "Test1_DS1307.bas file",0
    TXT3: CData  "Probando el Reloj Calendario DS1307",0
    TXT4: CData  "Enviando la Fecha & Hora cada minuto al Terminal.",0
    TXT5: CData  "Le Hserial esta configurado a ",0
    TXT6: CData  "9600",0            
    TXT7: CData  "19200",0
    TXT8: CData  "38400",0
    TXT9: CData  "57600",0
    TXT10: CData  "115200",0        
    TXT11: CData "Controlar el DS1307 ackknowledge.",0    
    TXT12: CData "Controlar si el Reloj Calendario DS1307 esta conectado?",0
    TXT13: CData "El chip DS1307 esta listo!",0
    TXT14: CData "NACK del chip DS1307 RTC!",0    
    TXT15: CData "Disponibilidad de la senal [1Hz] del DS1307 en el pin PORTB.0",0
    TXT16: CData "NACK DS1307 en Control de Escritura.",0    
    TXT17: CData "Lectura de la Hora & Fecha:",0    
    TXT18: CData "NACK DS1307 leyendo la Hora",0
    TXT19: CData "NACK DS1307 leyendo la Fecha",0
    TXT20: CData "Fecha = ",0
    TXT21: CData "Hora = ",0
    TXT22: CData "OJO: Un error de Comunicacion! El ACK no es valido.",0
    TXT23: CData " Baudios.",0
    TXT24: CData "Contando Minutos: ",0
    TXT25: CData "Apretar el Pulsador 1 para reiniciar el programa.",0    

    TXT26: CData "NACK DS1307",0    
    TXT27: CData "RESTART?",0
    TXT28: CData "Utilizando la libraria <DS1307-H.Inc>",0       
    TXT29: CData "NACK DS1307 Escritura Fecha",0
    TXT30: CData "NACK DS1307 Escritura Hora",0      
    TXT31: CData "Clock = 16 Mhz para el test de Proteus",0
    TXT32: CData "Clock = 64 Mhz para el test en prueba real",0
    TXT33: CData "Usando el LCD ST7036 con el Driver <LCD_ST7036.inc>",0
    TXT34: CData "<LCD_ST7036.Inc>",0
    TXT35: CData "Probando el comando <ReturnState>",0
    TXT36: CData "Command ReturnState esta desabilitado",0
    TXT37: CData "Vuelve al Modulo <SM_ReadSecond>",0
    TXT38: CData "NO ReturnState",0
    TXT39: CData "Apretar el Button2",0
    TXT40: CData "Esperando un Button!",0
    TXT41: CData "CONFIG   DS1307?",0
    TXT42: CData "S2=SI    OTRO=NO",0
    TXT43: CData "Dia Semana? S1+",0
    TXT44: CData "Domingo",0
    TXT45: CData "Lunes",0
    TXT46: CData "Martes",0    
    TXT47: CData "Miercoles",0
    TXT48: CData "Jueves",0    
    TXT49: CData "Viernes",0    
    TXT50: CData "Sabado",0            
    TXT51: CData "S1+   Dia?   S3-",0
    TXT52: CData "S1+   Mes ?  S3-",0    
    TXT53: CData "S1+   Ano?   S3-",0
    TXT54: CData "S1+  Hora?   S3-",0
    TXT55: CData "S1+ Minuto?  S3-",0
    TXT56: CData "Dia: ",0
    TXT57: CData "Mes: ",0
    TXT58: CData "Ano: ",0
    TXT59: CData "Hora: ",0
    TXT60: CData "Minuto: ",0            
    TXT61: CData "Hora y Fecha Grabados",0 
$endif
'-------------------------------------------------------------------------------
$ifdef _French_
FRENCH:
    TXT0: CData  "MACHINE DETAT",0 
    TXT1: CData  "Par A. Freixanet",0 
    TXT2: CData  "Test1_DS1307.bas file",0
    TXT3: CData  "Test de lHorlge Calendrier DS1307",0
    TXT4: CData  "Envoyant la Date & Heure chaque minute au terminal.",0
    TXT5: CData  "Le Hserial est ajust  ",0
    TXT6: CData  "9600",0            
    TXT7: CData  "19200",0
    TXT8: CData  "38400",0
    TXT9: CData  "57600",0
    TXT10: CData  "115200",0        
    TXT11: CData "Controler lackknowledge du DS1307.",0    
    TXT12: CData "Controler la connection de lHorloge DS1307?",0
    TXT13: CData "Le circuit DS1307 est prt!",0
    TXT14: CData "NACK du circuit DS1307 RTC!",0    
    TXT15: CData "Le signal de 1 Hz est envoy au pin PORTA.4.",0
    TXT16: CData "NACK du COntrol d'criture du DS1307",0    
    TXT17: CData "Lire Heure & Date:",0    
    TXT18: CData "NACK de la lecture de l'Heure du DS1307",0
    TXT19: CData "NACK de la lecture de la Date du DS1307",0
    TXT20: CData "Date = ",0
    TXT21: CData "Heure = ",0
    TXT22: CData "Attention: Erreur de Communication! ACK non valide.",0
    TXT23: CData " Bauds.",0
    TXT24: CData "Contage des Minutes: ",0
    TXT25: CData "Appuyer le Bouton 1 pour redmarrer le programme.",0    

    TXT26: CData "NACK DS1307",0    
    TXT27: CData "REDMARRER?",0
    TXT28: CData "On utilise la librairie <DS1307-H.Inc>",0       
    TXT29: CData "NACK de lcriture de la Date du DS1307",0
    TXT30: CData "NACK de lcriture de l'Heure du DS1307",0      
    TXT31: CData "Horloge = 16 Mhz pour essais avec Proteus",0
    TXT32: CData "Horloge = 64 Mhz pour essais rel",0
    TXT33: CData "Le LCD ST7036 est utilis avec le Driver <LCD_ST7036.inc>",0
    TXT34: CData "<LCD_ST7036.Inc>",0
    TXT35: CData "Essai de lordre <ReturnState>",0
    TXT36: CData "Ordre ReturnState annule",0
    TXT37: CData "Retour au Module <SM_ReadSecond>",0
    TXT38: CData "PAS de ReturnState",0
    TXT39: CData "Appuyer Touche 2",0
    TXT40: CData "Attender Touche!",0
    TXT41: CData "CONFIG   DS1307?",0
    TXT42: CData "S2=OUI AUTRE=NON",0
    TXT43: CData "Jour Semaine S1+",0
    TXT44: CData "Dimanche",0
    TXT45: CData "Lundi",0
    TXT46: CData "Mardi",0    
    TXT47: CData "Mercredi",0
    TXT48: CData "Jeudi",0    
    TXT49: CData "Vendredi",0    
    TXT50: CData "Samedi",0            
    TXT51: CData "S1+  Jour?   S3-",0
    TXT52: CData "S1+  Mois?   S3-",0    
    TXT53: CData "S1+  Annee?  S3-",0
    TXT54: CData "S1+  Heure?  S3-",0
    TXT55: CData "S1+ Minute?  S3-",0
    TXT56: CData "Jour: ",0
    TXT57: CData "Mois: ",0
    TXT58: CData "Annee: ",0
    TXT59: CData "Heure: ",0
    TXT60: CData "Minute: ",0            
    TXT61: CData "Heure et Date enregistrees",0 
$endif

' Here more languages...
'-------------------------------------------------------------------------------

'*******************************************************************************
$endif


